AntiFeatures:
  NonFreeNet:
    en-US: The backend is not FOSS.
Categories:
  - Connectivity
  - Internet
  - Multimedia
License: MIT
AuthorName: TheRedSpy15
AuthorEmail: support@blazedcloud.com
WebSite: https://blazedcloud.com/
SourceCode: https://github.com/TheRedSpy15/blazedcloud
IssueTracker: https://github.com/TheRedSpy15/blazedcloud/issues

AutoName: blazed cloud
Description: Minimalistic cloud backup

RepoType: git
Repo: https://github.com/TheRedSpy15/blazedcloud

Builds:
  - versionName: 1.1.1
    versionCode: 101011
    commit: af98c54e4965f8c27167cb44a2246564a2affe1d
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - web
      - windows
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/flutter.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"

  - versionName: 1.1.1
    versionCode: 101012
    commit: af98c54e4965f8c27167cb44a2246564a2affe1d
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - web
      - windows
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/flutter.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"

  - versionName: 1.1.1
    versionCode: 101013
    commit: af98c54e4965f8c27167cb44a2246564a2affe1d
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - web
      - windows
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/flutter.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"

  - versionName: 1.2.0
    versionCode: 102001
    commit: a65ffb8a13a462bc39a80cf53f6a00639a059522
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - web
      - windows
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/flutter.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"

  - versionName: 1.2.0
    versionCode: 102002
    commit: a65ffb8a13a462bc39a80cf53f6a00639a059522
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - web
      - windows
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/flutter.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"

  - versionName: 1.2.0
    versionCode: 102003
    commit: a65ffb8a13a462bc39a80cf53f6a00639a059522
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - web
      - windows
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/flutter.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"

AutoUpdateMode: Version
UpdateCheckMode: Tags
VercodeOperation:
  - '%c * 10 + 1'
  - '%c * 10 + 2'
  - '%c * 10 + 3'
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.2.0
CurrentVersionCode: 102003
